commit: 81ffe7ddda3f6c3138330d54492129bd65928c6d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 21 08:57:29 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 21 09:12:39 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81ffe7dd
dev-python/wcmatch: Bump to 8.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/wcmatch/Manifest | 1 +
dev-python/wcmatch/wcmatch-8.0.ebuild | 61 +++++++++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index c373472b893..03c63f1fe02 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -1,2 +1,3 @@
DIST wcmatch-7.1.tar.gz 105744 BLAKE2B
0add1c68025c92ac57d6ea64d82bddb20bace60de5d319fb16e16802f208d788d876695bfcd186b80630039f544565c631d36e1c7327dee5d8c799eff8c80ce2
SHA512
79d62d85f13d245e38d0fe92a275e24058b86af8aaf9a926bfd950dad4ec47e40e763c18b08d3eb4ddd925832ae9910f13407094070442b41dbe2fe4ad11fb39
DIST wcmatch-7.2.tar.gz 105087 BLAKE2B
a28bd9d02468f3ca83d606ee7f7d5c9b6b8883cf6e0c04b711765aefafce189f7f524a490c6831a739b579be66af5f4b1c7b6373da22e170211e611677c5788f
SHA512
6fdc0a3cb6d66b323c509a5ee34c1e8df9a46a93fd1fc0921dfdbc17ac604934fdad3df5e8f253aa6a880bea2e81bb26ec097b9503c920433c5827ea91b327d8
+DIST wcmatch-8.0.tar.gz 105910 BLAKE2B
228295a28511ac8c534feed31459dc3e75316febc377473de6d30075886cf33262d6f97931c134b5aaef9109216a4b50383e884e9f3f370849e8a1ac5af5999a
SHA512
94bd02e02d544746b678704bd77c1252bd569f1030316e2617f340ee81266dcba398a1a6a15d9460203e681a4825a853cbebee3681d8d338a17ef9ae8d9a03ce
diff --git a/dev-python/wcmatch/wcmatch-8.0.ebuild
b/dev-python/wcmatch/wcmatch-8.0.ebuild
new file mode 100644
index 00000000000..fdc416d5245
--- /dev/null
+++ b/dev-python/wcmatch/wcmatch-8.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ ~dev-python/mkdocs_pymdownx_material_extras-1.0.7
+ dev-python/mkdocs-material
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+ dev-python/pyspelling
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Wildcard/glob file name matcher"
+HOMEPAGE="
+ https://github.com/facelessuser/wcmatch/
+ https://pypi.org/project/wcmatch/"
+SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/backrefs-4.1[${PYTHON_USEDEP}]
+ >=dev-python/bracex-2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-vcs/git
+)"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # this test makes a really wrong assumption that basename of $HOME
+ # will be a username
+ sed -i -e 's:test_tilde_user:_&:' \
+ tests/test_glob.py || die
+
+ # tests require some files in homedir
+ > "${HOME}"/test1.txt || die
+ > "${HOME}"/test2.txt || die
+
+ # mkdocs-git-revision-date-localized-plugin needs git repo
+ if use doc; then
+ git init || die
+ git config --global user.email "[email protected]" || die
+ git config --global user.name "Your Name" || die
+ git add . || die
+ git commit -m 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}